Researcher Keplon:
As you are no doubt aware this tower is the greatest achievement of Baium, the last king of the Elmoreden Empire. It was a feat unimaginable to even the most advanced Human architects of that time.
Baium kidnapped 10 Elven architects and forced them to design this spectacular tower. When construction was complete he ordered the executions of all who worked on it, from the Elven architects all the way down to the lowliest laborer. This insured that no one would ever discover the secret of the tower.
This stroke of brutal genius worked as intended. The secret has been lost for millennia. The Gray Pillar Guild became determined to unlock the secret of the tower, and dispatched a team of researchers to investigate.
Return